CMSIS-Driver: SAI Clock Polarity

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
SAI Clock Polarity
SAI Configuration

Defines clock polarity. More...

## Macros

#define | ARM_SAI_CLOCK_POLARITY_0 (0UL << ARM_SAI_CLOCK_POLARITY_Pos)
| Drive on falling edge, Capture on rising edge (default) More...
#define | ARM_SAI_CLOCK_POLARITY_1 (1UL << ARM_SAI_CLOCK_POLARITY_Pos)
| Drive on rising edge, Capture on falling edge. More...

## Description

Defines clock polarity.

## Macro Definition Documentation

#define ARM_SAI_CLOCK_POLARITY_0 (0UL << ARM_SAI_CLOCK_POLARITY_Pos)

Drive on falling edge, Capture on rising edge (default)

#define ARM_SAI_CLOCK_POLARITY_1 (1UL << ARM_SAI_CLOCK_POLARITY_Pos)

Drive on rising edge, Capture on falling edge.